Bug 1384896 (CVE-2016-8668) - CVE-2016-8668 Qemu: net: OOB buffer access in rocker switch emulation
Summary: CVE-2016-8668 Qemu: net: OOB buffer access in rocker switch emulation
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-8668
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1384898
Blocks: 1384776
TreeView+ depends on / blocked
 
Reported: 2016-10-14 10:47 UTC by Prasad J Pandit
Modified: 2019-09-29 13:57 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:00:10 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-10-14 10:47:32 UTC
Quick Emulator(Qemu) built with the Rocker switch emulation support is
vulnerable to an OOB read access issue. It could occur while performing a DMA
access 'TEST_DMA_CTRL_INVERT' test.

A privileged guest user could use this issue to crash the Qemu process instance
on the host resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg02501.html

Comment 1 Prasad J Pandit 2016-10-14 10:48:06 UTC
Acknowledgments:

Name: PSIRT  (Huawei Inc.)

Comment 2 Prasad J Pandit 2016-10-14 10:50:29 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1384898]

Comment 3 Andrej Nemec 2016-10-17 07:45:57 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/141

Comment 4 Cole Robinson 2017-01-16 18:18:52 UTC
commit 8caed3d564672e8bc6d2e4c6a35228afd01f4723
Author: Prasad J Pandit <pjp@fedoraproject.org>
Date:   Wed Oct 12 14:40:55 2016 +0530

    net: rocker: set limit to DMA buffer size


Note You need to log in before you can comment on or make changes to this bug.